Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime.metaclass
[Java] Class NewInstanceMetaMethod

    java.lang.Object
      org.codehaus.groovy.reflection.ParameterTypes
          groovy.lang.MetaMethod
              org.codehaus.groovy.runtime.metaclass.ReflectionMetaMethod
                  org.codehaus.groovy.runtime.metaclass.NewMetaMethod
                      org.codehaus.groovy.runtime.metaclass.NewInstanceMetaMethod

    public class NewInstanceMetaMethod
    extends NewMetaMethod

A MetaMethod implementation where the underlying method is really a static helper method on some class but it appears to be an instance method on a class. This implementation is used to add new methods to the JDK writing them as normal static methods with the first parameter being the class on which the method is added.

Authors:
  James Strachan

Version:
  \$Revision\$

Field Summary

Fields inherited from class NewMetaMethod
EMPTY_TYPE_ARRAY, bytecodeParameterTypes

Fields inherited from class ReflectionMetaMethod
method

Fields inherited from class ParameterTypes
isVargsMethod, nativeParamTypes, parameterTypes

Constructor Summary
`NewInstanceMetaMethod(CachedMethod method)`

Method Summary
`int` | `getModifiers()`
`java.lang.Object` | `invoke(java.lang.Object object, java.lang.Object[] arguments)`
`boolean` | `isStatic()`

Methods inherited from class NewMetaMethod
getBytecodeParameterTypes, getDeclaringClass, getOwnerClass

Methods inherited from class ReflectionMetaMethod
getCachedMethod, getDeclaringClass, getModifiers, getName, getPT, getReturnType, invoke, toString

Methods inherited from class MetaMethod
checkParameters, clone, doMethodInvoke, equal, equal, getDeclaringClass, getDescriptor, getModifiers, getMopName, getName, getReturnType, getSignature, invoke, isAbstract, isCacheable, isMethod, isPrivate, isProtected, isPublic, isSame, isStatic, processDoMethodInvokeException, toString

Methods inherited from class ParameterTypes
coerceArgumentsToClasses, correctArguments, getNativeParameterTypes, getPT, getParameterTypes, isValidExactMethod, isValidExactMethod, isValidMethod, isValidMethod, isVargsMethod, isVargsMethod, setParametersTypes

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### NewInstanceMetaMethod

    public NewInstanceMetaMethod(CachedMethod method)

Method Detail

### getModifiers

    public int getModifiers()

### invoke

    public java.lang.Object invoke(java.lang.Object object, java.lang.Object[] arguments)

### isStatic

    public boolean isStatic()

Groovy Documentation